#ifndef _DW_FILTER_H
#define _DW_FILTER_H

/* $Id: dw_filter.h,v 1.16 2001/10/15 11:04:09 cvser Exp $ */

#include <sys/param.h>
#if defined(FreeBSD_DW)
#include <sys/syslimits.h>
#endif /* FreeBSD */
#if defined(Solaris_DW)
#include <limits.h>
#endif /* Solaris */
#include "dwc_macro.h"
#include "libmilter/mfapi.h"

extern struct smfiDesc drweb_filter_desc;
extern char            ArcDir[ PATH_MAX + 1 ];
extern char            ShareDir[ PATH_MAX + 1 ];
extern char            PostmasterMail[ PATH_MAX + 1 ];
extern char            NotifierMail[ PATH_MAX + 1 ];
extern int             scanOptions;
extern int             bSenderNotify;
extern int             bRcptsNotify;
extern int             bPostmasterNotify;
extern int             bLocal;
extern int             bQuiet;
extern sfsistat        ActionOnFatalError;
extern sfsistat        ActionOnError;
extern sfsistat        ActionOnMailbomb;
extern sfsistat        ActionOnSkipObject;
extern sfsistat        ActionOnSpam;

extern int             preinit_filter ( void );
extern int             set_action ( char opt, char* all_opt, sfsistat* action );
extern char            get_action ( sfsistat action );

#endif /* _DW_FILTER_H */
