#if defined(__THREAD_BASED_DW)

#ifndef _DWC_MUTEX_H
#define _DWC_MUTEX_H

/* $Id: dwc_mutex.h,v 1.4 2001/10/08 15:48:52 cvser Exp $ */

#ifdef __UNIX_DW
#include <pthread.h>
#endif /* __UNIX_DW */
#ifdef __WIN32_DW
#include <windows.h>
#endif /* __WIN32_DW */

#include "dwc_type.h"

typedef struct DWC_int_mutex_t*   DWC_mutex_t;        

DWC_mutex_t         dwc_mutex_create( DWC_string_t );
DWC_bool_t          dwc_mutex_lock( DWC_mutex_t );
DWC_bool_t          dwc_mutex_unlock( DWC_mutex_t );
DWC_error_code_t    dwc_mutex_destroy( DWC_mutex_t );

#endif /* _DWC_MUTEX_H */

#endif /* __THREAD_BASED_DW */
