#!/bin/sh
#
# $Id: example.sh,v 1.9 2001/10/08 15:48:50 cvser Exp $
#
#
# Example of command line for Dr.Web Sendmail Mail Filter (drweb-smf)
#

./drweb-smf -p 3000 -i localhost -s 3001 -a /opt/drweb/infected -l -f /tmp -ha -e postmaster@my.domain.ru -g postmaster -o drweb -x -r -w -v &

# -p 3000
#         - DrWeb daemon (drwebd) listen on 3000 tcp port
# -i localhost
#         - address of interface where DrWeb sendmail filter will be started
# -s 3001
#         - tcp port that specified in sendmail.cf as part of value INPUT_MAIL_FILTER
# -a /opt/drweb/infected
#         - directory for infected e-mail messages
# -l
#         - this option means that daemon runs in local host; for it daemon
#           must have read access to directory specified by -f option
# -f /tmp
#         - directory for temporary files
# -ha
#         - use heuristic analyse
# -e postmaster@domain.ru
#         - e-mail that will be placed in report messages
# -g postmaster
#         - real address (may be local) for report messages
# -o drweb
#         - username to which filter switchs after start
# -x
#         - report message will be returned to sender too
# -r
#         - report message will include DrWeb diagnostic
# -w
#         - run in debug mode (output debug messages in syslog)
# -v
#         - use caching for daemon ip-address

