#ifndef _DWC_EVENT_H
#define _DWC_EVENT_H

/* $Id: dwc_event.h,v 1.3 2001/09/07 11:16:59 cvser Exp $ */

#ifdef __WIN32_DW
#include <windows.h>
#endif /* __WIN32_DW */

#include "dwc_type.h"

typedef struct DWC_int_event_t*   DWC_event_t;        

DWC_event_t         dwc_event_create( DWC_string_t );
DWC_error_code_t    dwc_event_wait( DWC_event_t, DWC_timeout_t );
int                 dwc_event_multiple_wait( DWC_event_t*, DWC_length_t, DWC_timeout_t );
DWC_bool_t          dwc_event_set( DWC_event_t );
DWC_error_code_t    dwc_event_destroy( DWC_event_t );

#endif /* _DWC_EVENT_H */
